%  A simple reverb demonstration

%  Author: Andreas Floros
%  Digital Audio Processing Applications Group
%  Dept. of Audiovisual Arts, Ionian University
%  v.1.0 - Last Modified: 12/05/2009.

clc;
clear;

% Read the input audio signal
[x, fs, N] = wavread('audio_sample.wav');

% Define the reverb coefficients
D = zeros(2000,1);
b = [0.1;D;0.2;D;0.4;D;0.8];

% Apply the filter
y = filter(b, 1, x);


